class CompareController < ApplicationController
  def index
    @compare_query = CompareQuery.new(
      # Following line would make all benchmarks ticked by default.
      # this is not wanted as there may be tons of benchmarks...
      # benchmark_infos: BenchmarkInfo.all.inject({}) { |acc, val| acc[val.id.to_s] = val.id.to_s; acc }

      # Following line makes none of them tocked by default...
      benchmark_infos: {}
    )
    @benchmark_infos = @compare_query.filtered_benchmark_infos
  end

  def filter
    @compare_query = CompareQuery.new(compare_query_params)
    @benchmark_infos =  @compare_query.filtered_benchmark_infos
    render "index"
  end

  private

  def compare_query_params
    params.require(:compare_query).permit!
  end
end
