// This is a manifest file that'll be compiled into application.js, which will include all the files
// listed below.
//
// Any JavaScript/Coffee file within this directory, lib/assets/javascripts, vendor/assets/javascripts,
// or vendor/assets/javascripts of plugins, if any, can be referenced here using a relative path.
//
// It's not advisable to add code directly here, but if you do, it'll appear at the bottom of the
// compiled file.
//
// WARNING: THE FIRST BLANK LINE MARKS THE END OF WHAT'S TO BE PROCESSED, ANY BLANK LINE SHOULD
// GO AFTER THE REQUIRES BELOW.
//
//= require jquery
//= require jquery.ui.all
//= require twitter/bootstrap
//= require jquery_ujs
//= require flot/jquery.flot
//= require flot/jquery.flot.pie
//= require flot/jquery.flot.time
//= require flot/jquery.flot.stack
//= require rickshaw_with_d3
//= require line_charts
//= require bar_charts
//= require_self


jQuery.fn.exists = function() {
	return this.length>0;
}

function notify_success(message) {
	show_flash(message, "success");
}

function notify_error(message) {
	show_flash(message, "error");
}

function show_flash(msg, type) {
	var flash = $("<div class='alert alert-" + type + "'><button class='close' data-dismiss='alert'>×</button>" + msg + "</div>");
	flash.hide().prependTo($("body")).fadeIn().delay(5000).fadeOut();
}

function show_flash_in_xhr(event, xhr) {
	msg = xhr.getResponseHeader("X-Message");
	type = xhr.getResponseHeader("X-Message-Type");
	if (msg != null && msg.length != 0) {
		show_flash(msg, type);
	}
}
